Blue Example |
Using Programming Languages other than VBA
Sub Example_Blue() ' This example draws a line and returns the RGB values Dim color As AcadAcCmColor Set color = AcadApplication.GetInterfaceObject("AutoCAD.AcCmColor.16") Call color.SetRGB(80, 100, 244) Dim line As AcadLine Dim startPoint(0 To 2) As Double Dim endPoint(0 To 2) As Double startPoint(0) = 1#: startPoint(1) = 1#: startPoint(2) = 0# endPoint(0) = 5#: endPoint(1) = 5#: endPoint(2) = 0# Set line = ThisDrawing.ModelSpace.AddLine(startPoint, endPoint) ZoomAll line.TrueColor = color Dim retcolor As AcadAcCmColor Set retcolor = line.TrueColor MsgBox "Red = " & retcolor.Red MsgBox "Green = " & retcolor.Green MsgBox "Blue = " & retcolor.Blue End Sub
Comments? |